Bug 1652882 - Data Center is being initialized, lvm segfault
Summary: Data Center is being initialized, lvm segfault
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.5
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: David Teigland
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-23 11:42 UTC by oliver.albl
Modified: 2021-09-03 12:49 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-17 19:21:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
messages and vdsm log from SPM, engine.log (5.69 MB, application/x-tar)
2018-11-23 11:42 UTC, oliver.albl
no flags Details

Description oliver.albl 2018-11-23 11:42:33 UTC
Created attachment 1508260 [details]
messages and vdsm log from SPM, engine.log

Description of problem:
I run a cluster with about 15 hosts for automated testing purposes. We start to see "Data Center is being initialized" messages and disks in state "locked" or "illegal". /var/log/messages shows:

kernel: lvm[55452]: segfault at 18 ip 00007f082e700905 sp 00007ffdff4ae080 error 4 in libc-2.17.so[7f082e67e000+1c3000]

Version-Release number of selected component (if applicable):
Linux 3.10.0-862.14.4.el7.x86_64 
vdsm-4.20.43-1.el7.x86_64
lvm2-2.02.177-4.el7.x86_64
oVirt 4.2.7.4-1.el7

How reproducible:
Generate load on hosts by automatically creating vms, running vm workloads, deleting vms

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Jonathan Earl Brassow 2019-08-07 21:18:20 UTC
Do you have the core file?  That might help us get to the bottom a bit quicker.


Note You need to log in before you can comment on or make changes to this bug.